<?php
/*****************************************************************************
 *   opentopic module (/inc/plugins/myplaza/opentopic.php)
 *   By Keyvan fakhri shojaie
 *   Last modified: 2008/02/16 by Keyvan
 *   Allows users to open a closed topic
 *****************************************************************************/

if(!defined("IN_MYBB"))die("This file cannot be accessed directly.");

function opentopic_info(){
	return array(
		"name"			=> "Open Thread ",
		"description"	=> "Allows users to open a closed thread.",
		"website"		=> "http://www.keyvan.ws/projects/mybb/myplaza_modules",
		"author"		=> "Keyvan fakhri shojaie",
		"authorsite"	=> "http://www.keyvan.ws",
		"version"		=> "1.0",
	);
}

function opentopic_lang(){
	global $mybb, $lang;
	switch($mybb->settings['bblanguage']){
		default:
			$lang->thread_id = 'URL of thread, or tid to open : ';
			$lang->must_supply_value = 'Invalid thread entered.';
			$lang->already_opened = 'The thread is already opened!';
			$lang->thread_opened = 'Successfully re-open thread #%1$s';
			$lang->thread_opened_log = 'opened thread <a href="%1$s">%2$s</a>';
	}
}

function opentopic_lang_admin(){
	global $mybb, $lang;
	switch($mybb->settings['bblanguage']){
		default:
			$lang->item_opentopic_open_name = 'Open Thread';
			$lang->item_opentopic_open_desc = 'Open a thread!';
	}
}

function opentopic_activate(){
	if(!defined("IN_MYPLAZA_ADMIN"))cperror('This is not a normal MyBB plugin!  Please upload this file to your /inc/plugins/myplaza directory.');
	
	global $lang;
	myplaza_add_item(array(
		"idname" => 'opentopic_open',
		"cost" => 1000,
		"buylimitamount" => 2,
		"buylimittime" => 259200,
		"htmlextra" => '{$lang->thread_id} <input type="text" name="thread" value="" size="30" />'
	));
}

function opentopic_deactivate(){
	myplaza_remove_module_items();
}

function opentopic_run($item){
	global $mybb,$lang,$db,$buyRtnMsg,$buyLogMsg;
	
	if(!($t=$mybb->input['thread'])){
		$buyRtnMsg=$lang->must_supply_value;
		return false;
	}
	if(!($tid=intval($t))){
		if(strpos($t,'tid=')){
			$t=substr($t,strpos($t,'tid=')+4);
			$tid=intval($t);
		}
	}
	
	if($tid){
		$thread=$db->fetch_array($db->simple_select(MY_TABLE_PREFIX.'threads','tid,closed,subject','tid='.$tid));
	}
	if(!isset($thread) || !$thread){
		$buyRtnMsg=$lang->must_supply_value;
		return false;
	}
	if($thread['closed']!='yes'){
		$buyRtnMsg = $lang->already_opened;
		return false;
	}
	$db->update_query(MY_TABLE_PREFIX.'threads',array('closed'=>''),'tid='.$tid);
	$buyRtnMsg=sprintf($lang->thread_opened,$tid);
	$buyLogMsg=sprintf($lang->thread_opened_log,$mybb->settings['bburl'].'/showthread.php?tid='.$tid, $thread['subject']);
	return true;
}

?>